Subject: hpff-doc: Comments on Library

From: Mike Delves <[email-masked]>
Date: Thu, 29 Aug 1996 11:57:46 +0100 (BST)

---------------------------------------------------------------------------
[email-masked] is a mailing list for HPF 2.0 language specification
authors and editors.  Instructions for adding or deleting yourself from this
list appear at the bottom of this message.
---------------------------------------------------------------------------
Dear Dr Schreiber,

We have the following comments/queries on the Intrinsic
and Library Procedures chapter:

1) It is not clear to us why ILEN is an intrinsic while POPCNT,
LEADZ, POPPAR are library functions. All are on the same level.
Further, if ILEN is intrinsic it may appear in specification
expressions - causing trouble for a "compiler" which actually is a
source to source translator to Fortran.

2) For many library routines the "major" argument <may be of any type>.
Taken literally (as it should be) this includes derived types. 

a) Is this intended (our guess is not: else many troubles ensue).
b) If not, the wording should make this clear: <any intrinsic type>

3) For many other arguments (eg INDX1,.. and MASK of COPY_SCATTER)
the type INTEGER or LOGICAL is specified. Our guess is that this
is meant to mean <default integer> and <default logical>. Is this
the intention? If so, the wording should be tightened.

My apologies if these comments have been made many times before.

Best wishes

Mike Delves

-- 
------------------------------------------------
Mike Delves                |Tel: +44 151 709 4738
N.A Software Ltd           |Fax: +44 151 709 5645
Roscoe House, 62 Roscoe St [email-masked]
Liverpool L1 9DW, UK       |http://www.nasoftware.co.uk/home.html
---------------------------------------------------------------------------
To (un)subscribe to this list, send mail to [email-masked].
Leave the subject line blank, and in the body put the line
(un)subscribe <email-address>
---------------------------------------------------------------------------